!
! Subroutine that computes the force
!

subroutine force(n,x,f)

  use ff
  implicit none
  integer :: n, i, j
  double precision :: x(n,2), f(n,2), r, &
                       drdxi, drdyi, fx, fy, xj, yj, image

  do i = 1, n
    f(i,1) = 0.d0
    f(i,2) = 0.d0
  end do

  do i = 1, n - 1
    do j = i + 1, n 

      xj = x(j,1) - x(i,1)
      yj = x(j,2) - x(i,2)
      xj = image(xj)
      yj = image(yj)

      r = dsqrt(xj**2 + yj**2)
      
      drdxi = -xj/r
      drdyi = -yj/r 

      fx = -4.d0*eps*( (-12.d0*sig**12/r**13) - (-6.d0*sig**6/r**7) )*drdxi
      fy = -4.d0*eps*( (-12.d0*sig**12/r**13) - (-6.d0*sig**6/r**7) )*drdyi

      f(i,1) = f(i,1) + fx
      f(i,2) = f(i,2) + fy 
      f(j,1) = f(j,1) - fx
      f(j,2) = f(j,2) - fy

    end do
  end do

end subroutine force
