!
! Function that computes the potential energy
!

double precision function potential(n,x)

  use ff
  implicit none
  integer :: i, j, n
  double precision :: x(n,2), r, xj, yj, image

  potential = 0.d0

  do i = 1, n - 1
    do j = i + 1, n 

      xj = x(j,1) - x(i,1)
      yj = x(j,2) - x(i,2)
      xj = image(xj)
      yj = image(yj)

      r = dsqrt ( xj**2 + yj**2 )

      potential = potential + 4*eps*( sig**12 / r**12 - sig**6 / r**6 )

    end do
  end do

end function potential
